Description: Respect CPPFLAGS
Origin: vendor
Forwarded: no
Last-Update: 2018-10-28

--- openvpn-auth-radius-2.1.orig/Makefile
+++ openvpn-auth-radius-2.1/Makefile
@@ -1,4 +1,4 @@
-CC=g++
+CXX=g++
 
 
 
@@ -33,13 +33,13 @@ OBJECTS=\
 all: $(PLUGIN)
 
 $(PLUGIN): $(OBJECTS)
-	$(CC) $(CFLAGS) $(OBJECTS) -o $(PLUGIN) $(LDFLAGS) $(LIBS)
+	$(CXX) $(CFLAGS) $(OBJECTS) -o $(PLUGIN) $(LDFLAGS) $(LIBS)
 
 %.o: %.cpp
-	$(CC) $(INCL) $(CFLAGS) -o $@ -c $<
+	$(CXX) $(INCL) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<
 
 test: $(OBJECTS)
-	$(CC) -Wall $(OBJECTS) -o main $(LDFLAGS) $(LIBS)
+	$(CXX) -Wall $(OBJECTS) -o main $(LDFLAGS) $(LIBS)
 
 clean:
 	-rm $(PLUGIN) *.o */*.o
